CMDWIN "CON:0/16/640/200/BrowserII Command/Auto/Close/Wait/Screen BrowserII"
SHELLWIN "CON:0/16/640/150/BrowserII Shell/Auto/Close/Wait"

# Make the left Amiga key work for menu short-cuts too
SHORTCUTQUAL "lcommand"

# Other example: Make short-cuts without any qualifier.
# SHORTCUTQUAL ""

AUTOCMD "Text"      WITHSUBTYPES RUN Ed []
AUTOCMD "Script"    RUN Ed []
AUTOCMD "PP Doc"    RUN PPDocToCed []
AUTOCMD "Guide"     WBTF RUN SYS:Utilities/Multiview []
AUTOCMD "Anim"      RUN VT []
AUTOCMD "ILBM"      RUN VT []
AUTOCMD "ILBM24"    RUN VT []
AUTOCMD "GIF"       RUN VT []
AUTOCMD "JPEG"      RUN VT []
AUTOCMD "8SVX"      RUN SYS:Utilities/Multiview []
AUTOCMD "Zoo"       RUN WIN "CON:0/16/640/100/Zoo List/SCREEN BrowserII" Zoo l []
AUTOCMD "ST Mod"    RUN Rx DeliPlay [:]
AUTOCMD "Med Mod"   RUN Rx DeliPlay [:]
AUTOCMD "PP MedMod" RUN Rx DeliPlay [:]
#AUTOCMD "Unknown"  REQUEST RUN FileX []


menu Dirs
    item     AutoDocs   RUN BD Tools:AutoDocs ZOOMALL
    item     Docs       RUN BD Tools:Docs ZOOMALL
    item     etc        RUN BD SYS:etc ZOOMALL
    item     Tools      RUN BD SYS:Tools ZOOMALL

menu System
    submenu "Format Dev"
        item "Normal NFS" RUN WIN "CON:0/16/510/74/Format/SCREEN BrowserII" Format drive [] name Empty NOICONS;BD SCANDEVS QUIET
        item "Normal FFS" RUN WIN "CON:0/16/510/74/Format/SCREEN BrowserII" Format drive [] name FDisk NOICONS FFS;BD SCANDEVS QUIET
        item "Quick  NFS" RUN WIN "CON:0/16/510/74/Format/SCREEN BrowserII" Format drive [] name Empty QUICK NOICONS;BD SCANDEVS QUIET
        item "Quick  FFS" RUN WIN "CON:0/16/510/74/Format/SCREEN BrowserII" Format drive [] name FDisk QUICK NOICONS FFS;BD SCANDEVS QUIET
    endsubmenu
    item Format WBTF WB SYS:System/Format
    barlabel
    item {W} Shell      WBTF RUN NewShell CON:0/16/640/100/Shell/Close
    item {&} RunBack    RUN []
    item Execute        RUN Execute []
    item Version        RUN WIN "CON:0/16/640/200/Version/CLOSE/WAIT/SCREEN BrowserII" Version [] FULL FILE
    item LoadLib        RUN LoadLib []
    submenu Assign
        item "Add Fonts:"   RUN Assign FONTS: [] Add
        item "Add Libs:"    RUN Assign LIBS: [] Add
        barlabel
        item "Std Fonts:"   RUN Assign FONTS: SYS:Fonts
        item "Std Libs:"    RUN Assign LIBS: SYS:Libs
    endsubmenu
    item AssignVol      RUN For [] DO S:AssignVol %%
    item Assign         REQUEST RUN Assign : []
    item UnAssign       RUN For [] DO Assign %%

menu File
    # create a direct short cut with letter 'm', with either capslock and shift pressed or not
    item MultiView      KEY "-caps m" KEYTEXT "m" RUN For [] DO SYS:Utilities/MultiView %%
    item {H} FileX      RUN SYS:Tools/FileX []
    item AZap           RUN SYS:Tools/AZap []
    item WhatIs         RUN WIN "CON:0/16/640/200/WhatIs/CLOSE/WAIT/SCREEN BrowserII" WhatIs []
    item ShowIcon       WBTF RUN ShowIcon []

menu Text
    item {Y} CygnusEd   RUN STACK 20000 Ed []
    item PPDocToCed     RUN PPDocToCed []
    item Print          RUN SYS:System/Print []
    
menu Image
    item ViewTek        RUN VT []
    item {>} "-> ADPro" SHELL Rx REXX:View.adpro [:]
    barlabel
    item ShowAnim       RUN ShowAnim -c []
    barlabel
    item DeluxePaint    WB  Tools:Paint/DPaint []
    
menu Sound
    item PlayOnDisk     RUN SYS:etc/PlayOnDisk []
    item WindowPlay     RUN SYS:etc/WindowPlay []
    item PowerPlayer    RUN SYS:etc/PowerPlayer []
    item DeliTracker    RUN Rx DeliPlay [:]

menu Compress
    item PowerPacker    RUN SYS:Tools/PowerPacker
    submenu Pack
        item SQSH       RUN PRI -1 WIN "CON:0/16/640/100/xPack SQSH.../SCREEN BrowserII" For [] DO xPackIt %% M=SQSH E=100 PACK;BD RESCAN QUIET;Echo >SPEAK: "Pack done\;"
        item NUKE       RUN PRI -1 WIN "CON:0/16/640/100/xPack NUKE.../SCREEN BrowserII" For [] DO xPackIt %% M=NUKE E=100 PACK;BD RESCAN QUIET;Echo >SPEAK: "Pack done\;"
    endsubmenu
    barlabel
    submenu Lha
        item Test               RUN WIN "CON:0/16/640/200/Lha List/CLOSE/WAIT/SCREEN BrowserII/MINI/JUMP" Lha t []
        item {Q} "Query Ext"    REQUEST SHELL WIN "CON:0/16/640/100/Lha Extract/SCREEN BrowserII" Lha -x -m e [] "";BD RESCAN ZOOMALL QUIET
        item {} LhArcDir       RUN PRI -1 WIN "CON:0/16/640/100/Lha Compress/SCREEN BrowserII" For [] DO LhArcDir %%;BD RESCAN QUIET;Echo >SPEAK: "Compression done\;"
        item LhArcVol           RUN PRI -1 WIN "CON:0/16/640/100/Lha Compress/SCREEN BrowserII" For [] DO LhArcVol %%;BD RESCAN QUIET;Echo >SPEAK: "Compression done\;"
    endsubmenu
    item {Z} Extract        RUN WIN "CON:0/16/640/100/Extract.../SCREEN BrowserII/MINI/JUMP" For [] DO Extract %%;BD RESCAN ZOOMALL QUIET

menu C
    item BumpRev    KEY "alt b" KEYTEXT "Alt-B" RUN WIN "CON:0/16/400/100/BumpRev/CLOSE/WAIT/SCREEN BrowserII" smake bumprev
    item Diff       KEY "alt d" KEYTEXT "Alt-D" RUN WIN "CON:0/16/640/200/Diff/CLOSE/WAIT/SCREEN BrowserII" SC:c/diff []
    item Make       KEY "alt m" KEYTEXT "Alt-M" RUN STACK 10000 PRI -3 WIN "CON:0/16/640/100/Make.../CLOSE/WAIT" smake;IF WARN;echo >SPEAK: "compile failed\;";Else;echo >SPEAK: "compile successfull\;";echo Done.;EndIF
    item CPR        KEY "alt c" KEYTEXT "Alt-C" WBTF RUN STACK 10000 WIN "CON:0/16/640/100/CPR Output/Auto/Close" SC:c/CPR -screen Workbench []
    item ScOpts     KEY "alt s" KEYTEXT "Alt-S" WBTF RUN SC:C/ScOpts
    item Indent     KEY "alt i" KEYTEXT "Alt-I" RUN WIN "CON:0/16/640/200/Indent/Auto/Close/Wait/Screen BrowserII" Dev:bin/Indent [];echo >SPEAK: "Indent done\;"
    barlabel
    submenu "SAS Doc"
        item CPR    RUN Multiview SCREEN sc:help/cpr.guide
        item sc     RUN Multiview SCREEN sc:help/sc.guide
        item scmsg  RUN Multiview SCREEN sc:help/scmsg.guide
        item lib    RUN Multiview SCREEN sc:help/sc_lib.guide
        item util   RUN Multiview SCREEN sc:help/sc_util.guide
        item prob   RUN Multiview SCREEN sc:help/sc_prob.guide
        item se     RUN Multiview SCREEN sc:help/se.guide
        item change RUN Multiview SCREEN sc:help/sc_change.guide
        item help   RUN Multiview SCREEN sc:help/sc_help.guide
    endsubmenu
    barlabel
    item "Archive Dir"  RUN WIN "CON:0/16/640/100/Archiving directory.../SCREEN BrowserII" ArchiveDir

